import pickle
import os
import sys
import preprocess_run

sys.path.append('../')

import argparse


def parse_arguments():
    parser = argparse.ArgumentParser()
    
    parser.add_argument("-ID", help="experiment ID", type=str)
    args = parser.parse_args()
    
    return args

args = parse_arguments()
ID = args.ID

sup_folder = '/%s' %ID
path = '../Outputs%s' %sup_folder

overview_file = 'preprocessed_runs/overview_%s.txt' %ID

folders = [fold for fold in os.listdir('%s' %path) if fold.split('-')[0] == ID 
          and os.path.isdir('%s/%s' %(path, fold))]
print(folders)
for fold in folders:
    files = [ff for ff in os.listdir('%s/%s' %(path, fold)) if ff[-2:] == '.p']
    for ff in files:
        file_loc = '%s/%s' %(fold, ff[:-2])
        run = pickle.load(open('%s/%s.p' %(path, file_loc), 'rb'))
        
        done_file = 'preprocessed_runs/%s_metrics.p' %file_loc.replace('/', '_')
        if os.path.isfile(done_file):
            print('Already done %s.p' %file_loc)
        else:
            print('preprocessing %s.p' %file_loc)
            samples_file, acq_str, sol_kernel = \
                preprocess_run.main('%s/%s' %(sup_folder[1:], file_loc))
            with open(overview_file, 'a') as oview:
                oview.write('%s, %s, %s, %s\n' %(
                    file_loc, acq_str, sol_kernel, samples_file))
            
