import pickle
import numpy as np
import sys
import argparse

sys.path.append('../')

def parse_arguments():
    parser = argparse.ArgumentParser()
    
    parser.add_argument("-file_name", help="seed for numpy.random.", type=str)

    args = parser.parse_args()
    
    return args

def main(file_name):
    # do whatever the script does
    
    run = pickle.load(open('../Outputs/%s.p' %file_name, 'rb'))

    maximisers = np.array(run.maximisers)

    arg_maxes = np.array([np.argmax(np.all(
                        run.prob.domain == run.maximisers[ii],
                        1)) for ii in range(len(run.maximisers))])
    maxima = run.prob.true_func[arg_maxes]

    true_maximum = run.prob.maximum
    true_maximiser = np.array(run.prob.maximiser)

    true_ratio = maxima/true_maximum
    dist = np.sqrt( 
        np.sum( (maximisers-true_maximiser)**2, 1 ) 
    )
    metrics = {'true_ratio': true_ratio,
               'dist': dist}
    print('Saving metrics %s' %file_name)
    pickle.dump(metrics, open('preprocessed_runs/%s_metrics.p' \
                              %file_name.replace('/', '_'), 'wb'))
    return run.samples_file, run.acq_str, run.sol_kernel_name
    
if __name__ == "__main__":
    args = parse_arguments()

    file_name = args.file_name

    main(file_name)