#!/bin/sh

MAX_PROB=100 
MIN_PROB=0 
MAX_SEED=1
QQ=100 
NUM_EXP=`echo "2*(${MAX_PROB}-${MIN_PROB})" | bc -l`
echo "Number of experiments: ${NUM_EXP}"

export STUDENT_ID=$(whoami)
prob_type=selection_nd_test 
year='' 
EXPT_FILE=experiments_mcmc_${prob_type}_${year}.txt
MAX_PARALLEL_JOBS=20
prob_folder=Plume/problems/


rm ${EXPT_FILE}
touch ${EXPT_FILE}

beta=1 
acq_fun=ei
way=Summation
sol_kernel=Combination
sigma_2='0.001 0.001'
for parts in 'RBF Directed' 'RBF Product'
do
    if [ "${parts}" == "RBF RBF" ]; then
        hyp_samples=SAMPLE_FILE.p
    fi
    if [ "${parts}" == "RBF Directed" ]; then
        hyp_samples=SAMPLE_FILE.p
    fi
    if [ "${parts}" == "RBF Product" ]; then
        hyp_samples=SAMPLE_FILE.p
    fi

    for ((ii=${MIN_PROB};ii<${MAX_PROB};ii++));
    do
        prob_file=plume_prob_${prob_type}_norm2_log_${ii}.p
        echo "python run_BO.py $MAX_SEED -Q $QQ -acq ${acq_fun} --sol_kernel ${sol_kernel} --way ${way} --sigma_2 ${sigma_2} -prob_file ${prob_file} --hyp_samples_file ${hyp_samples} --parts $parts --ucb_beta $beta" >> ${EXPT_FILE}
    done
done

echo "Experiment file $EXPT_FILE written"
sbatch --array=1-${NUM_EXP}%${MAX_PARALLEL_JOBS} cluster_script_task.sh ${EXPT_FILE} ${prob_folder}
