"""Module holding Run_record class to collect results of a BO run"""


class Run_record:
    """Class to collect results of a BO run"""

    def __init__(
        self,
        prob,
        hyp_dev,
        minimums,
        maximums,
        minimisers,
        maximisers,
        xx_end,
        yy_end,
        prob_kernel_name,
        sol_kernel_name,
        time=None,
        samples_file=None,
        acq_str=None,
        args=None
    ):
        self.prob = prob
        self.hyp_dev = hyp_dev
        self.minimums = minimums
        self.maximums = maximums
        self.minimisers = minimisers
        self.maximisers = maximisers
        self.xx_end = xx_end
        self.yy_end = yy_end
        self.prob_kernel_name = prob_kernel_name
        self.sol_kernel_name = sol_kernel_name
        self.time = time
        self.samples_file = samples_file
        self.acq_str = acq_str
        self.args = args

    def print_record(self):
        """Print properties """
        print("prob: \t%s" % self.prob)
        print("hyp_dev: \t%s" % self.hyp_dev)
        print("minimums: \t%s" % self.minimums)
        print("maximums: \t%s" % self.maximums)
        print("minimisers: \t%s" % self.minimisers)
        print("maximisers: \t%s" % self.maximisers)
        print("xx_end: \t%s" % self.xx_end)
        print("yy_end: \t%s" % self.yy_end)
        print("prob_kernel: \t%s" % self.prob_kernel_name)
        print("sol_kernel: \t%s" % self.sol_kernel_name)
        if self.time is not None:
            print("time: \t%s" % self.time)
        if self.samples_file is not None:
            print("samples_file: \t%s" % self.samples_file)
        if self.acq_str is not None:
            print("acq_str: \t%s" % self.acq_str)
        if self.args is not None:
            print("args: \n%s" % self.args)
