import numpy as np
import csv
import sys
import os
import pickle
import datetime

folder = 'data_raw/with_data/'
files = os.listdir(folder)
poll = 'PM10'

if poll == 'PM25':
    files_poll = [ff for ff in files if
                  ff[6:10] == 'from']
elif poll == 'PM10':
    files_poll = [ff for ff in files if
                  ff[6:10] == 'PM10']
elif poll == 'NO2':
    files_poll = [ff for ff in files if
                  ff[6:10] == 'NO2_']


# Gather all data
all_data = []
for ff in files_poll:
    with open('%s%s' %(folder, ff)) as csvfile:
        reader = csv.reader(csvfile, delimiter=',')
        ii = 0
        for row in reader:
            if ii >= 1:
                all_data.append(row)
            ii += 1
            
loc_dict = pickle.load(open('lat_lon_dict.p', 'rb'))
# Interpret dates, values and ratification to allow comparisons 
# Filter out negative values
data_array = []
for dd in all_data:
    code = dd[0]
    date = datetime.datetime.strptime(dd[2], 
                                      '%d/%m/%Y %H:%M')
    value = float(dd[3])
    ratif = dd[5] == 'R'
    lat = loc_dict[code][0]
    lon = loc_dict[code][1]
    if value >= 0:
        data_array.append([code, date, value, ratif, lat, lon])
    
# Sort by year
year_part = {}
year_part_ratif = {}
for dd in data_array:
#     if dd[1].year == yy:
    yy = dd[1].year
    if yy in year_part.keys():
        year_part[yy].append(dd)
    else:
        year_part[yy] = [dd]
    if dd[3]:
        if yy in year_part_ratif.keys():
            year_part_ratif[yy].append(dd)
        else:
            year_part_ratif[yy] = [dd]
            
for yy in sorted(year_part.keys()):
    ratif = len(year_part_ratif[yy]) if yy in year_part_ratif.keys() else ''
    print('%s: %s\t%s' %(yy, len(year_part[yy]),
                         ratif))
    
# Store yearly data
for yy in year_part.keys():
    pickle.dump(year_part[yy],
               open('data_sorted/%s_year_%s.p' %(poll, yy), 'wb'))
for yy in year_part_ratif.keys():
    pickle.dump(year_part_ratif[yy],
        open('data_sorted/%s_year_%s_ratified.p' %(poll, yy), 'wb'))