#!/bin/sh

export STUDENT_ID=$(whoami)

subset=laqn 
EXPT_FILE=experiments_hierarchical_${subset}.txt 

rm ${EXPT_FILE}

R=20 
N=100
N_samp=2000 
M=10
burn_in=200 
ll_init='1 1'
ll_dir_init='1 1'
sig_n_init='1000 0.000001' 
sig_r_init='1 1'
sig_d_init='1 1'
ll_true='100 0.1'
ll_dir_true='100 0.1'
sig_r_true='10 0.1'
sig_d_true='10 0.1'
sig_n_true='4 0.0005'


locs_file="spatial_log_mean_NO2_Roadside_km_tt_40_day-" 
echo ${locs_file}

locs_folder=LAQN/2015_problems/

file_min=70
file_max=365
kernel=Combination

parts=file
echo python /home/${STUDENT_ID}/MCMC/Hierarchical/get_samples_script_kernel_parts.py -R $R -N $N -N_samp ${N_samp} -M $M -burn_in ${burn_in} -ll_init ${ll_init} -sigma_n_init ${sig_n_init} -sigma_r_init ${sig_r_init} -ll_true ${ll_true} -sigma_n_true ${sig_n_true} -sigma_r_true ${sig_r_true} -local 0 -kernel $kernel -sigma_dir_init ${sig_d_init} -sigma_dir_true ${sig_d_true} -ll_dir_init ${ll_dir_init} -ll_dir_true ${ll_dir_true} -ll_prop 1.5 0.5 -ll_dir_prop 1.5 0.5 -sigma_r_prop 0.3 0.1 -sigma_n_prop 0.3 0.1 --parts $parts -constant dir sigma_n >> ${EXPT_FILE}

MAX_PARALLEL_JOBS=1
echo Starting batch
for kernel_file in spat_fast-product_slow-rbf_sum.p spat_fast-directed_slow-rbf_sum.p spat_fast-rbf_slow-rbf_sum.p
do
    sbatch --array=1-${NUM_JOBS}%${MAX_PARALLEL_JOBS} cluster_script_task.sh ${EXPT_FILE} ${locs_file} ${file_min} ${file_max} ${locs_folder} ${kernel_file}
done
